micro(1)

NAME
micro - A modern and intuitive terminal-based text editor

SYNOPSIS
micro [OPTIONS] [FILE]...

DESCRIPTION
Micro is a terminal-based text editor that aims to be easy to use and intuitive, while also taking advantage of the full capabilities of modern terminals. It comes as one single, batteries-included, static binary with no dependencies. As the name indicates, micro aims to be somewhat of a successor to the nano editor by being easy to install and use in a pinch, but micro also aims to be enjoyable to use full time, whether you work in the terminal because you prefer it (like me), or because you need to (over ssh). Use Ctrl-q to quit, Ctrl-s to save, and Ctrl-g to open the in-editor help menu.

OPTIONS

-clean
    Cleans the configuration directory

-config-dir dir
    Specify a custom location for the configuration directory

[FILE]:LINE:COL
    Specify a line and column to start the cursor at when opening a buffer

-options
    Show all option help

-debug
    Enable debug mode (enables logging to ./log.txt)

-version
    Show the version number and information
Micro's plugins can be managed at the command line with the following commands.

    -plugin remove [PLUGIN]...
        Remove plugin(s)

    -plugin update [PLUGIN]...
        Update plugin(s) (if no argument is given, updates all plugins)

    -plugin search [PLUGIN]...
        Search for a plugin

    -plugin list
        List installed plugins

    -plugin available
        List available plugins
Micro's options can also be set via command line arguments for quick adjustments. For real configuration, please use the settings.json file (see 'help options').

    -option value
        Set `option` to `value` for this session For example: `micro -syntax off file.c`

CONFIGURATION
Micro uses $MICRO_CONFIG_HOME as the configuration directory. If this environment variable is not set, it uses $XDG_CONFIG_HOME/micro instead. If that environment variable is not set, it uses ~/.config/micro as the configuration directory. In the documentation, we use ~/.config/micro to refer to the configuration directory (even if it may in fact be somewhere else if you have set either of the above environment variables).

NOTICE
This manpage is intended only to serve as a quick guide to the invocation of micro and is not intended to replace the full documentation included with micro which can be accessed from within micro. Micro tells you what key combination to press to get help in the lower right.

BUGS
A comprehensive list of bugs will not be listed in this manpage. See the Github page at https://github.com/zyedidia/micro/issues for a list of known bugs and to report any newly encountered bugs you may find. We strive to correct bugs as swiftly as possible.

COPYRIGHT
Copyright © 2020 Zachary Yedidia, et al. MIT license. See https://github.com/zyedidia/micro for details.